Méthodes de sélection

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Selection methods and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Navigation par la souris
Page suivante : Réglage des préférences Arrow-right.svg

Présentation

Les Méthodes de sélection dans FreeCAD permettent de choisir des objets dans l'Interface de FreeCAD tels que la vue 3D, la vue en arborescence, la Fenêtre de sélection et d'autres boîtes de dialogue. Certaines méthodes de sélection sont spécifiques à l'atelier et sont documentées dans la documentation particulière de l'atelier.

Vue 3D

Dans la Vue 3D, il existe différentes manières de sélectionner des objets à l'aide du pointeur de la souris.

Sélection simple

La sélection simple avec la souris (par défaut clic gauche) et la présélection (survol) sont décrites dans la page Navigation par la souris.

Clics répétés

Le premier clic sélectionne un sous-élément (sommet, arête ou face) de l'objet sous la souris. Un deuxième clic sélectionne tout l'objet. Introduit dans la version 0.18

Le troisième clic étend la sélection à son objet conteneur (PartDesign Body, Std Part et autres). Des clics supplémentaires développent la sélection dans la chaîne de conteneurs. Introduit dans la version 0.19

Commandes par sélection

La sélection par glissement de la souris pour sélectionner plusieurs objets ou sous-éléments (sommets ou faces) est disponible en utilisant Std Tout sélectionner, Std Sélection par boîte, Part Sélection par boîte et Std Sélection d'éléments par boîte.

Les modes de sélection de boîte reviennent à la valeur par défaut Std Tout sélectionner après toute sélection. (Qu'est-ce que ça veut dire??)

Fenêtre de sélection

La Fenêtre de sélection affiche les noms des objets sélectionnés y compris leur nom complet dans un objet, par exemple Unnamed#Body.Box001.Face17.

Il permet également d'effectuer certaines actions comme Std Affichage de la sélection et d'envoyer l'objet à la Console Python.

Exportation d'objets

Cela devrait être dans la page Fenêtre de sélection.

Sélectionnez un objet complexe, par exemple un PartDesign Body ou Std Part, puis dans la Fenêtre de sélection sélectionnez à nouveau l'objet puis appuyez sur Ctrl + C au clavier pour ouvrir la boîte de dialogue Object selection. Cela permet de copier l'objet sélectionné avec tous ou seulement certains des objets de dépendance de cet objet. Par exemple, pour un Std Part, les objets possibles à sélectionner incluent Std Part lui-même, mais aussi son origine, ses trois axes de base (XYZ) et ses trois plans de base (XY , YZ, XZ).

Après avoir appuyé sur OK, les objets sélectionnés sont copiés en mémoire puis peuvent être collés dans le document pour dupliquer uniquement ces objets.

ObjectSelection.png

Boîte de dialogue de sélection d'objet lancée depuis la Fenêtre de sélection .


Vue en arborescence

Dans la Vue en arborescence, les éléments peuvent être sélectionnés ou désélectionnés, un à la fois, en maintenant la touche Ctrl et en cliquant avec la souris.

Une gamme d'éléments peut être sélectionnée en cliquant sur le premier élément, en maintenant Shift et en cliquant sur le dernier élément.

La sélection d'un seul élément affichera également ses propriétés dans l'Éditeur de propriétés.

Un double-clic ouvrira tout Panneau des tâches associé contenant des actions. Assurez-vous de fermer ce panneau des tâches avant d'exécuter une autre commande ou de passer à un autre atelier.

D'autres méthodes sont disponibles en ouvrant le menu contextuel (clic droit) en fonction de l'objet sélectionné ou de l'atelier actif. Voir les informations dans la Vue en arborescence.

Script

La sélection d'objets est en soi une tâche graphique et n'est donc disponible que lorsque l'interface utilisateur graphique est chargée.

Ces commandes peuvent être utilisées dans des macros ou depuis la Console Python.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

La commande addSelectionGate empêche l'utilisateur de sélectionner des objets non spécifiés dans la chaîne de sélection. Un symbole apparaît lorsque le pointeur se trouve sur un élément ne faisant pas partie du groupe spécifié.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

Voir la Documentation du code source et la Std Documentation des modules Python pour plus d'aide sur l'utilisation de ces outils.

Arrow-left.svg Page précédente : Navigation par la souris
Page suivante : Réglage des préférences Arrow-right.svg